## spl-linux 0.6.4.2

=== debian/changelog ===
spl-linux (0.6.4.2-0ubuntu1.1) wily; urgency=medium

  * Fix build failure of SPL because libc-dev is missing (LP: #1536299)

 -- Colin Ian King <colin.king@canonical.com>  Wed, 20 Jan 2016 19:05:29 +0000

spl-linux (0.6.4.2-0ubuntu1) wily; urgency=medium

  [ Colin Ian King ]
  * minor lintian fixes on debian/copyright
  * prepare for Ubuntu Wily upload

  [ Iain Lane ]
  * Copy debian/copyright over from Debian as it is slightly different and
    more current.

 -- Colin Ian King <colin.king@canonical.com>  Wed, 14 Oct 2015 15:46:18 +0100

spl-linux (0.6.4.2-0~vivid) vivid; urgency=low

  [ Ned Bass ]
  * Tag spl-0.6.4.2 (detached)

 -- Darik Horn <dajhorn@vanadac.com>  Thu, 09 Jul 2015 22:18:37 -0400

spl-linux (0.6.4.1-1~vivid) vivid; urgency=low

  [ Brian Behlendorf ]
  * Tag spl-0.6.4.1

 -- Darik Horn <dajhorn@vanadac.com>  Fri, 24 Apr 2015 16:26:17 -0500

spl-linux (0.6.4-2~vivid) vivid; urgency=low

  [ Tim Chase ]
  * Safer debugging and assertion macros.

  [ Brian Behlendorf ]
  * Rate limit debugging stack traces

  [ Tim Chase ]
  * Add functions and macros as used upstream.
  * Add atomic_swap_32() and atomic_swap_64()

  [ Brian Behlendorf ]
  * Set spl_kmem_cache_reclaim=0 to default
  * Set spl_kmem_cache_slab_limit=16384 to default

  [ Ned Bass ]
  * Linux 3.17 compat: remove wait_on_bit action function

  [ Richard Yao ]
  * Cleanup vn_rename() and vn_remove()

  [ stf ]
  * Avoid PAGESIZE redefinition

  [ Turbo Fredriksson ]
  * Linux 3.16 compat: smp_mb__after_clear_bit()

  [ Brian Behlendorf ]
  * Fix bug in SPLAT taskq:front

  [ Tom Prince ]
  * Install header during post-build rather than post-install.

  [ Brian Behlendorf ]
  * Make license compatibility checks consistent
  * Update SPLAT to use kmutex_t for portability
  * Update code to use misc_register()/misc_deregister()
  * Remove patches directory
  * Remove adaptive mutex implementation
  * Remove sysctl_vfs_cache_pressure assumption
  * Remove utsname() wrapper
  * Remove register_sysctl() compatibility code
  * Remove CTL_UNNUMBERED sysctl interface
  * Map highbit64() to fls64()
  * Simplify the time compatibility wrappers
  * Remove atomic64_xchg() wrappers
  * Remove uintptr_t typedef
  * Remove linux/uaccess.h header check
  * Remove kmalloc_node() compatibility code
  * Remove i_mutex() configure check
  * Remove mutex_lock_nested() wrapper
  * Remove on_each_cpu() wrapper
  * Remove get_vmalloc_info() wrapper
  * Remove global memory variables
  * Remove shrink_{i,d}node_cache() wrappers
  * Remove kallsyms_lookup_name() wrapper
  * Remove user_path_dir() wrapper
  * Remove set_fs_pwd() configure check
  * Add vfs_unlink() and vfs_rename() comments
  * Remove credential configure checks.
  * Update put_task_struct() comments
  * Remove proc_handler() wrapper
  * Remove kvasprintf() wrapper
  * Remove kern_path() wrapper
  * Remove vfs_fsync() wrapper

  [ Tim Chase ]
  * Linux 3.12 compat: shrinker semantics

  [ Richard Yao ]
  * kmem_cache: Call constructor/destructor on each alloc/free
  * Kernel header installation should respect --prefix

  [ Alexander Pyhalov ]
  * Fix modules installation directory

  [ Marcel Wysocki ]
  * Add config/compile to config/.gitignore

  [ Brian Behlendorf ]
  * Lower minimum objects/slab threshold
  * Retire legacy debugging infrastructure

  [ Ned Bass ]
  * Remove compat includes from sys/types.h

  [ Chunwei Chen ]
  * mutex: force serialization on mutex_exit() to fix races

  [ Brian Behlendorf ]
  * Fix debug object on stack warning

  [ Tim Chase ]
  * Use current_kernel_time() in the time compatibility wrappers

  [ Richard Yao ]
  * Revert "Add PF_NOFS debugging flag"

  [ Brian Behlendorf ]
  * Refactor existing code
  * Fix kmem cstyle issues
  * Refactor generic memory allocation interfaces

  [ Richard Yao ]
  * Add hooks for disabling direct reclaim
  * Enforce architecture-specific barriers around clear_bit()

  [ Brian Behlendorf ]
  * Make slab reclaim more aggressive
  * Update spl-module-parameters(5) man page
  * Reduce kmem cache deadlock threshold
  * Refine slab cache sizing
  * Fix kmem cache deadlock logic
  * Use __get_free_pages() for emergency objects
  * Fix GFP_KERNEL allocations flags
  * Optimize vmem_alloc() retry path

  [ Chunwei Chen ]
  * Fix spl_hostid module parameter

  [ Brian Behlendorf ]
  * Retire spl_module_init()/spl_module_fini()
  * Fix cstyle issue in mutex.h
  * Retire MUTEX_OWNER checks
  * Add MUTEX_FSTRANS mutex type
  * Reduce splat_taskq_test2_impl() stack frame size

  [ Tim Chase ]
  * Add mutex_enter_nested() which maps to mutex_lock_nested()
  * Set HAVE_FS_STRUCT_SPINLOCK correctly when CONFIG_FRAME_WARN==1024

  [ Hajo Möller ]
  * Fix warning about AM_INIT_AUTOMAKE arguments

  [ Brian Behlendorf ]
  * Remove rpm/fedora directory
  * Add RHEL style kmod packages

  [ Chris Dunlop ]
  * Add crgetzoneid() stub

  [ Tim Chase ]
  * Don't allow shrinking a PF_FSTRANS context

  [ Brian Behlendorf ]
  * Clear PF_FSTRANS over vfs_sync()
  * Tag spl-0.6.4

 -- Darik Horn <dajhorn@vanadac.com>  Thu, 09 Apr 2015 12:23:49 -0500

spl-linux (0.6.3-14~vivid) vivid; urgency=low

  [ Brian Behlendorf ]
  * Tag spl-0.6.3-1.2

  [ Darik Horn ]
  * Update gbp.conf for Ubuntu 15.04 Vivid Vervet

 -- Darik Horn <dajhorn@vanadac.com>  Sat, 21 Feb 2015 13:09:56 -0500
