=== debian/control ===
Source: spl-linux
Section: kernel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Darik Horn <dajhorn@vanadac.com>
Build-Depends: autotools-dev,
 autoconf,
 autogen,
 automake,
 debhelper (>= 8),
 dh-autoreconf,
 dkms (>= 2.2.0.2),
 libtool,
Standards-Version: 3.9.6
Homepage: http://www.zfsonlinux.org/
Vcs-Git: git://github.com/dajhorn/pkg-spl.git
Vcs-Browser: https://github.com/dajhorn/pkg-spl/

Package: spl-dkms
Architecture: amd64 arm64 ppc64el
Depends: ${misc:Depends}, libc-dev, dkms (>= 2.2.0.2), lsb-release
Recommends: spl
Description: Solaris Porting Layer kernel modules for Linux
 The Solaris Porting Layer (SPL) is a Linux kernel module which provides many of
 the Solaris kernel APIs. This shim layer makes it possible to run Solaris
 kernel code in the Linux kernel with relatively minimal modification.
 .
 The Solaris Porting LAyer Tests (SPLAT) is a Linux kernel module which provides
 a testing harness for the SPL module.

Package: spl
Architecture: amd64 arm64 ppc64el
Conflicts: spl-dev
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: spl-dkms
Description: Solaris Porting Layer utilities for Linux
 This package provides the userspace utilities for the SPL and SPLAT Linux
 kernel modules.
