## spl-linux 0.6.5.3

=== debian/changelog ===
spl-linux (0.6.5.3-0ubuntu3) xenial; urgency=medium

  * Fix build failure of SPL because libc-dev is missing (LP: #1536299)

 -- Colin Ian King <colin.king@canonical.com>  Wed, 20 Jan 2016 19:05:29 +0000

spl-linux (0.6.5.3-0ubuntu2) xenial; urgency=medium

  * Build powerpc64-smp

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 06 Nov 2015 15:11:34 -0600

spl-linux (0.6.5.3-0ubuntu1) xenial; urgency=medium

  * Updated to spl-0.6.5.3 from https://github.com/zfsonlinux/spl.git

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 28 Oct 2015 08:18:50 -0600
