=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
 Vcs-Browser: https://github.com/dajhorn/pkg-spl/
 
 Package: spl-dkms
-Architecture: amd64 arm64 ppc64el
-Depends: ${misc:Depends}, libc-dev, dkms (>= 2.2.0.2), lsb-release
+Architecture: amd64 arm64 ppc64el powerpc64-smp
+Depends: ${misc:Depends}, libc-dev, dkms (>= 2.2.0.2), file, lsb-release
 Recommends: spl
 Description: Solaris Porting Layer kernel modules for Linux
  The Solaris Porting Layer (SPL) is a Linux kernel module which provides many of
@@ -29,7 +29,7 @@
  a testing harness for the SPL module.
 
 Package: spl
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64 ppc64el powerpc64-smp
 Conflicts: spl-dev
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: spl-dkms
