## spl-linux 0.6.5.4

=== debian/changelog ===
spl-linux (0.6.5.4-0ubuntu3) xenial; urgency=medium

  * Cherry-pick patch for s390x.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Mar 2016 09:49:09 +0000

spl-linux (0.6.5.4-0ubuntu2) xenial; urgency=medium

  * Add COPYING to EXTRA_DIST var so COPYING file lands in package
  * Debian/rules; Don't remove COPYING as we want in the kernel source

 -- Colin Ian King <colin.king@canonical.com>  Thu, 4 Feb 2016 15:58:12 +0000

spl-linux (0.6.5.4-0ubuntu1) xenial; urgency=medium

  * Sync with upstream 0.6.5.4 release

 -- Colin Ian King <colin.king@canonical.com>  Fri, 29 Jan 2016 11:48:00 +0000
