## spl-linux 0.6.5.6

=== debian/changelog ===
spl-linux (0.6.5.6-0ubuntu2) xenial; urgency=medium

  * Force dkms autopkgtest, such that modules are installed even if stock
    kernel comes with identical module tool. We are testing that dkms
    module can be forced on top of pre-compiled ones.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 07 Apr 2016 11:08:14 +0100

spl-linux (0.6.5.6-0ubuntu1) xenial; urgency=medium

  * Sync with upstream 0.6.5.6 release
    Remove s390x patch now that it is in 0.6.5.6
    Remove incorrect Vcs fields from debian/control
    Rename patch Add-COPPYING-to-EXTRA_DIST to Add-COPYING-to-EXTRA_DIST

 -- Colin Ian King <colin.king@canonical.com>  Wed, 23 Mar 2016 23:43:09 +0000

spl-linux (0.6.5.5-0ubuntu1~testing1) xenial; urgency=medium

  * Sync with upstream 0.6.5.5 release

 -- Colin Ian King <colin.king@canonical.com>  Mon, 21 Mar 2016 10:57:18 +0000
