=== debian/rules ===
--- 
+++ 
@@ -36,8 +36,10 @@
 	@# This creates the $(CURDIR)/$(NAME)-$(VERSION)/ tree.
 	make distdir
 
-	@# Delete boilerplate to satisfy the lintian extra-license-file check.
-	rm '$(CURDIR)/$(NAME)-$(VERSION)/COPYING'
+	# Old: Delete boilerplate to satisfy the lintian extra-license-file check.
+	# Now: Don't remove this as we want this to end up in the Ubuntu kernel
+	# source on a copy (Feb 4, 2016)
+	#rm '$(CURDIR)/$(NAME)-$(VERSION)/COPYING'
 
 	@# This shunt allows DKMS to install the Module.symvers and spl_config.h
 	@# files to the ${dkms_tree} area through the POST_INSTALL directive.
