=== debian/tests/control ===
Tests: dkms-test
Restrictions: needs-root, allow-stderr
Depends: dkms
