## spl-linux 0.6.5.7

=== debian/changelog ===
spl-linux (0.6.5.7-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Al Nikolov <clown@debian.org>  Fri, 02 Sep 2016 18:32:32 +0300

spl-linux (0.6.5.7-1) unstable; urgency=medium

  * Imported Upstream version 0.6.5.7

 -- Aron Xu <aron@debian.org>  Wed, 25 May 2016 12:17:05 +0800

spl-linux (0.6.5.6-2) unstable; urgency=medium

  * Add license names to entries missing it.
  * Added autopkgtest using code from Ubuntu using dkms >= 2.2.0.3-3~.

 -- Petter Reinholdtsen <pere@hungry.com>  Thu, 28 Apr 2016 20:21:29 +0800

spl-linux (0.6.5.6-1) unstable; urgency=medium

  * New upstream release

 -- Aron Xu <aron@debian.org>  Thu, 24 Mar 2016 07:14:47 +0800

spl-linux (0.6.5.5-1) unstable; urgency=medium

  * New upstream release

 -- Aron Xu <aron@debian.org>  Sun, 20 Mar 2016 22:50:26 +0800

spl-linux (0.6.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Aron Xu <aron@debian.org>  Sun, 10 Jan 2016 20:13:15 +0800

spl-linux (0.6.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Aron Xu <aron@debian.org>  Thu, 05 Nov 2015 21:08:25 +0800

spl-linux (0.6.5.2-1) unstable; urgency=medium

  * Imported Upstream version 0.6.5.2
  * Add conflicts to splat (Closes: #769147)

 -- Aron Xu <aron@debian.org>  Tue, 13 Oct 2015 15:26:33 +0100

spl-linux (0.6.4.2-1) experimental; urgency=medium

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Thu, 13 Aug 2015 19:58:26 +0800

spl-linux (0.6.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 17 May 2015 05:47:51 +0800

spl-linux (0.6.2-2) experimental; urgency=low

  * Add file and libc-dev to Depends of spl-dkms (Closes: #717565).

 -- Aron Xu <aron@debian.org>  Sun, 25 Aug 2013 02:02:15 +0800

spl-linux (0.6.2-1) experimental; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sat, 24 Aug 2013 14:30:25 +0800

spl-linux (0.6.1-2) experimental; urgency=low

  * Add license info for scripts/kmodtool
  * Add linux 3.10 compatibility patch from upstream. (Closes: #717565)
  * Add facility to build udeb and binary modules, thanks Turbo Fredriksson
    for the work.

 -- Aron Xu <aron@debian.org>  Mon, 29 Jul 2013 16:04:24 +0800

spl-linux (0.6.1-1) experimental; urgency=low

  * Initial Release (Closes: #686453)

 -- Aron Xu <aron@debian.org>  Tue, 02 Apr 2013 01:03:05 +0200
