=== debian/control ===
Source: spl-linux
Section: kernel
Priority: optional
Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           Carlos Alberto Lopez Perez <clopez@igalia.com>
Build-Depends: autoconf,
               autogen,
               automake,
               autotools-dev,
               debhelper (>= 9),
               dkms (>> 2.2.0.2-1~),
               libtool
Standards-Version: 3.9.6
Homepage: http://www.zfsonlinux.org/
Vcs-Git: git://anonscm.debian.org/pkg-zfsonlinux/spl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-zfsonlinux/spl.git

Package: spl-dkms
Architecture: all
Depends: dkms (>> 2.1.1.2-5), file, libc-dev, lsb-release, ${misc:Depends}
Recommends: spl (>= ${source:Upstream-Version})
Provides: spl-modules
Description: Solaris Porting Layer kernel modules for Linux
 The Solaris Porting Layer (SPL) is a Linux kernel module which provides
 many of the Solaris kernel APIs. This shim layer makes it possible to
 run Solaris kernel code in the Linux kernel with relatively minimal
 modification. The Solaris Porting LAyer Tests (SPLAT) is a Linux kernel
 module which provides a testing harness for the SPL module.
 .
 SPL can be particularly useful when you want to track upstream Illumos
 (or any other OpenSolaris fork) development closely and don't want the
 overhead of maintaining a large patch which converts Solaris primitives
 to Linux primitives.
 .
 This package contains the source code for the SPL and SPLAT Linux kernel
 modules, which can be used with DKMS, so that local kernel modules are
 automatically built and installed every time the kernel packages are
 upgraded.

Package: spl
Architecture: linux-any
Conflicts: spl-dev, splat
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: spl-modules | spl-dkms
Description: Solaris Porting Layer user-space utilities for Linux
 The Solaris Porting Layer (SPL) is a Linux kernel module which provides
 many of the Solaris kernel APIs. This shim layer makes it possible to
 run Solaris kernel code in the Linux kernel with relatively minimal
 modification. The Solaris Porting LAyer Tests (SPLAT) is a Linux kernel
 module which provides a testing harness for the SPL module.
 .
 SPL can be particularly useful when you want to track upstream Illumos
 (or any other OpenSolaris fork) development closely and don't want the
 overhead of maintaining a large patch which converts Solaris primitives
 to Linux primitives.
 .
 This package includes the user space utilities needed to test and debug
 the SPL and SPLAT kernel modules.
