=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            Carlos Alberto Lopez Perez <clopez@igalia.com>
-Build-Depends: autoconf,
-               autogen,
-               automake,
+Build-Depends: autogen,
                autotools-dev,
                debhelper (>= 9),
+               dh-autoreconf,
                dkms (>> 2.2.0.2-1~),
                libtool
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.zfsonlinux.org/
 Vcs-Git: git://anonscm.debian.org/pkg-zfsonlinux/spl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-zfsonlinux/spl.git
