## spl-linux 0.6.5.9

=== debian/changelog ===
spl-linux (0.6.5.9-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Aron Xu <aron@debian.org>  Mon, 20 Feb 2017 06:16:29 +0000

spl-linux (0.6.5.9-1) unstable; urgency=medium

  * Imported Upstream version 0.6.5.9

 -- Aron Xu <aron@debian.org>  Mon, 06 Feb 2017 15:52:47 +0800

spl-linux (0.6.5.8-3) unstable; urgency=medium

  * Fix Linux 4.9 compatibility (Closes: #851352)
    Thanks to Fabian Grünbichler!

 -- Aron Xu <aron@debian.org>  Tue, 17 Jan 2017 20:57:13 +0800
