## spl-linux 0.6.5.10

=== debian/changelog ===
spl-linux (0.6.5.10-1) unstable; urgency=medium

  * New upstream version 0.6.5.10

 -- Aron Xu <aron@debian.org>  Wed, 05 Jul 2017 18:00:58 +0800
