## spl-linux 0.6.5.11

=== debian/changelog ===
spl-linux (0.6.5.11-1ubuntu1) artful; urgency=medium

  * Add 4.13 backported patches from SPL

 -- Colin Ian King <colin.king@canonical.com>  Wed, 9 Aug 2017 12:57:11 +0100

spl-linux (0.6.5.11-1) unstable; urgency=medium

  * Imported Upstream version 0.6.5.11

 -- Aron Xu <aron@debian.org>  Fri, 14 Jul 2017 14:39:21 +0800
