## spl-linux 0.7.5

=== debian/changelog ===
spl-linux (0.7.5-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Aron Xu <aron@debian.org>  Wed, 24 Jan 2018 15:51:22 +0800

spl-linux (0.7.5-1) unstable; urgency=medium

  * Add libelf-dev to Depends (Closes: #886453)
  * New upstream version 0.7.5 (Closes: #886453)

 -- Aron Xu <aron@debian.org>  Fri, 19 Jan 2018 15:23:26 +0800
