## spl-linux 0.7.6

=== debian/changelog ===
spl-linux (0.7.6-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Aron Xu <aron@debian.org>  Thu, 08 Mar 2018 19:47:32 +0800

spl-linux (0.7.6-1) unstable; urgency=medium

  * New upstream release (Closes: #891235)
  * Update VCS-* URL to salsa.debian.org
  * Apply wrap-and-sort to control*
  * Recommends: linux-libc-dev (< ${LINUX_NEXT}):
    Tries to prevent unexpected upgrades of kernel that is not known
    to be supported by the packaged version of ZFS/SPL.

 -- Aron Xu <aron@debian.org>  Mon, 26 Feb 2018 16:29:50 +0800
