=== debian/control ===
--- 
+++ 
@@ -12,13 +12,19 @@
                libtool
 Standards-Version: 4.1.2
 Homepage: http://www.zfsonlinux.org/
-Vcs-Git: git://anonscm.debian.org/pkg-zfsonlinux/spl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-zfsonlinux/spl.git
+Vcs-Git: git@salsa.debian.org:zfsonlinux-team/spl.git
+Vcs-Browser: https://salsa.debian.org/zfsonlinux-team/spl
 
 Package: spl-dkms
 Architecture: all
-Depends: dkms (>> 2.2.1.0), file, libc-dev, libelf-dev, lsb-release, ${misc:Depends}
-Recommends: spl (>= ${source:Upstream-Version})
+Depends: dkms (>> 2.2.1.0),
+         file,
+         libc-dev,
+         libelf-dev,
+         lsb-release,
+         ${misc:Depends}
+Recommends: spl (>= ${source:Upstream-Version}),
+         linux-libc-dev (< 4.16)
 Provides: spl-modules
 Description: Solaris Porting Layer kernel modules for Linux
  The Solaris Porting Layer (SPL) is a Linux kernel module which provides
