## spl-linux 0.7.9

=== debian/changelog ===
spl-linux (0.7.9-3ubuntu2) cosmic; urgency=medium

  * Add 4.18 compat changes
    - Linux 4.18 compat: inode timespec -> timespec64

 -- Colin Ian King <colin.king@canonical.com>  Mon, 9 Jul 2018 17:58:12 +0100

spl-linux (0.7.9-3ubuntu1) cosmic; urgency=medium

  * Sync with Debian 0.7.9-3
  * Drop @LINUX_COMPAT@ in spl-dkms Suggests entry

 -- Colin Ian King <colin.king@canonical.com>  Fri, 29 Jun 2018 11:35:16 +0100

spl-linux (0.7.9-3) unstable; urgency=medium

  * d/control: migrate to alioth-lists (Closes: #899692)

 -- Aron Xu <aron@debian.org>  Mon, 28 May 2018 18:05:37 +0800

spl-linux (0.7.9-2) unstable; urgency=medium

  [ Aron Xu ]
  * New upstream version 0.7.9
  * Fix lintian obsolete-relation-form-in-source
  * Bump supported linux version to 4.16

  [ Antonio Russo ]
  * Reduce dependency on spl, and move documentation (Closes: #894608)

 -- Aron Xu <aron@debian.org>  Wed, 16 May 2018 21:36:17 +0800
