=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: spl-linux
 Section: kernel
 Priority: optional
-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            Carlos Alberto Lopez Perez <clopez@igalia.com>
 Build-Depends: autogen,
@@ -23,8 +24,8 @@
          libelf-dev,
          lsb-release,
          ${misc:Depends}
-Recommends: spl (>= ${source:Upstream-Version}),
-         linux-libc-dev (< 4.16)
+Suggests: spl (>= ${source:Upstream-Version})
+Conflicts: spl (<< 0.7.9~)
 Provides: spl-modules
 Description: Solaris Porting Layer kernel modules for Linux
  The Solaris Porting Layer (SPL) is a Linux kernel module which provides
