## spl-linux 0.7.11

=== debian/changelog ===
spl-linux (0.7.11-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Aron Xu <aron@debian.org>  Sun, 14 Oct 2018 20:10:35 +0800

spl-linux (0.7.11-1) unstable; urgency=medium

  [ Nicolas Braud-Santoni ]
  * control: Use a canonical URI for Vcs-Git
  * copyright: Use HTTPs Format URI in copyright
  * debian/rules: Enable build hardening
  * debian/rules: Use DEB_VERSION* instead of manually parsing.

  [ Mo Zhou ]
  * New upstream version 0.7.11 (Closes: #908483)
  * Append myself to Uploaders.
  * Suggests linux-libc-dev (<< LINUX_NEXT~) instead of (<< LINUX_NEXT).
  * Replace get_next.sh with one-liner awk script in rules.
  * Bump linux_compat to 4.18 .
  * Fix debian-rules-sets-dpkg-architecture-variable.
  * Fix debian-watch-uses-insecure-uri.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 19 Sep 2018 04:13:01 +0000
