=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: spl-linux
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@lists.alioth.debian.org>
+Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net>
 Uploaders: Aron Xu <aron@debian.org>,
-           Carlos Alberto Lopez Perez <clopez@igalia.com>
+           Carlos Alberto Lopez Perez <clopez@igalia.com>,
+           Mo Zhou <cdluminate@gmail.com>,
 Build-Depends: autogen,
                autotools-dev,
                debhelper (>= 9),
@@ -13,7 +13,7 @@
                libtool
 Standards-Version: 4.1.2
 Homepage: http://www.zfsonlinux.org/
-Vcs-Git: git@salsa.debian.org:zfsonlinux-team/spl.git
+Vcs-Git: https://salsa.debian.org/zfsonlinux-team/spl.git
 Vcs-Browser: https://salsa.debian.org/zfsonlinux-team/spl
 
 Package: spl-dkms
@@ -24,7 +24,8 @@
          libelf-dev,
          lsb-release,
          ${misc:Depends}
-Suggests: spl (>= ${source:Upstream-Version})
+Suggests: spl (>= ${source:Upstream-Version}),
+         linux-libc-dev (<< 4.19~)
 Conflicts: spl (<< 0.7.9~)
 Provides: spl-modules
 Description: Solaris Porting Layer kernel modules for Linux
