## spl-linux 0.7.12

=== debian/changelog ===
spl-linux (0.7.12-2+deb10u1) buster; urgency=medium

  * Cherry-pick upstream commit cb4464f to fix deadlock. (#932251)

 -- Mo Zhou <lumin@debian.org>  Thu, 16 Apr 2020 18:25:09 +0800

spl-linux (0.7.12-2) unstable; urgency=medium

  [ Colin Ian King ]
  * Add Linux 5.0 compat fixes.
     + 0001-Add-check-for-ktime_get_coarse_real_ts64-for-V5.0-ke.patch
     + 0002-Add-check-for-totalram-pages.patch
     + 0003-Add-check-for-ktime_get_ts64-for-V5.0-ke.patch
     + 0004-Add-check-for-timespec64-sub.patch
     + 0005-Use-64-bit-timespec-fixes.patch
  * Fix autopkgtest depends, we really need to include @ too
  * Just run the splat tests for now as these are the critical interface
    tests and the will fail if spl modules are broken.

  [ Mo Zhou ]
  * Bump linux_compat to 5.0

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 19 Feb 2019 04:40:38 +0000

spl-linux (0.7.12-1) unstable; urgency=medium

  * New upstream version 0.7.12
  * Bump linux compatibility to 4.19 .

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 19 Nov 2018 11:25:53 +0000
