=== debian/watch ===
version=3
https://zfsonlinux.org/ .*spl-([\d\.]+)\.tar\.gz$
