## spl-linux 0.7.12.1

=== debian/changelog ===
spl-linux (0.7.12.1-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: 43ccc2e811b42d8e7ef86cc40421c46236557231']

 -- shuttle <shuttle@deepin.com>  Sat, 23 Nov 2019 19:41:58 +0000
