=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
          lsb-release,
          ${misc:Depends}
 Suggests: spl (>= ${source:Upstream-Version}),
-         linux-libc-dev (<< 4.19~)
+         linux-libc-dev (<< 5.1~)
 Conflicts: spl (<< 0.7.9~)
 Provides: spl-modules
 Description: Solaris Porting Layer kernel modules for Linux
