## spl-linux 0.7.13

=== debian/changelog ===
spl-linux (0.7.13-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

 -- Aron Xu <aron@debian.org>  Thu, 18 Jul 2019 09:50:31 +0000

spl-linux (0.7.13-1) unstable; urgency=medium

  * New upstream version 0.7.13
  * Remove patches for linux 5.0 compat. (supported by upstream)
  * Bump Standards-Version to 4.3.0 (no change).

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 05 Mar 2019 07:06:40 +0000
