=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-autoreconf,
                dkms (>> 2.2.0.2-1~),
                libtool
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
 Homepage: http://www.zfsonlinux.org/
 Vcs-Git: https://salsa.debian.org/zfsonlinux-team/spl.git
 Vcs-Browser: https://salsa.debian.org/zfsonlinux-team/spl
