=== debian/tests/control ===
Tests: check.sh
Restrictions: needs-root, allow-stderr, isolation-machine
Depends: dkms, @
